petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESCompositeAddSNES

Adds another SNES to the composite SNES.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESCompositeAddSNES(SNES snes,SNESType type)

Collective on SNES Many br

### Input Parameters

| snes | - the preconditioner context Many br
| type | - the type of the new preconditioner Many br

Many br

### Keywords

SNES, composite preconditioner, add

Level:Developer
Location:src/snes/impls/composite/snescomposite.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages